import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/area/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/area/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/area/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/area/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/area/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/area/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/area/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function queryList(formData){
  return request.post(constant.serverUrl + "/base/area/queryList", formData);
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,queryList
}